Bug 179211 - misc/linm: Update to version 0.8.1.1
Summary: misc/linm: Update to version 0.8.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-02 19:10 UTC by tkato432
Modified: 2013-06-09 18:00 UTC (History)
0 users

See Also:


Attachments
file.diff (6.82 KB, patch)
2013-06-02 19:10 UTC, tkato432
no flags Details | Diff
misc_linm.diff (6.82 KB, patch)
2013-06-04 18:57 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-06-02 19:10:01 UTC
- Update to version 0.8.1.1

Remove file:
files/patch-configure
Comment 1 Edwin Groothuis freebsd_committer 2013-06-02 19:10:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-06-04 09:15:03 UTC
State Changed
From-To: open->feedback

plist fails http://po.miwibox.org:1288/bulk/latest-per-pkg/linm/0.8.1.1/
Comment 3 tkato432 2013-06-04 18:57:15 UTC
Here is the corrected patch.
Comment 4 Martin Wilke freebsd_committer 2013-06-09 17:50:23 UTC
State Changed
From-To: feedback->closed

committed thx
Comment 5 dfilter service freebsd_committer 2013-06-09 17:50:32 UTC
Author: miwi
Date: Sun Jun  9 16:50:22 2013
New Revision: 320348
URL: http://svnweb.freebsd.org/changeset/ports/320348

Log:
  - Update to 0.8.1.1
  
  PR:		179211
  Submitted by:	Ports Fury

Deleted:
  head/misc/linm/files/patch-configure
Modified:
  head/misc/linm/Makefile
  head/misc/linm/distinfo   (contents, props changed)
  head/misc/linm/files/patch-Makefile.in   (contents, props changed)
  head/misc/linm/pkg-plist   (contents, props changed)

Modified: head/misc/linm/Makefile
==============================================================================
--- head/misc/linm/Makefile	Sun Jun  9 16:49:26 2013	(r320347)
+++ head/misc/linm/Makefile	Sun Jun  9 16:50:22 2013	(r320348)
@@ -2,49 +2,53 @@
 # $FreeBSD$
 
 PORTNAME=	linm
-PORTVERSION=	${LINM_VER}.1
-PORTREVISION=	3
+DISTVERSION=	0.8.1-1
 CATEGORIES=	misc shells
-MASTER_SITES=	http://kldp.net/frs/download.php/3152/ \
-		ftp://ftp.kr.freebsd.org/pub/kldp.net/download/mls/1.LinMStable/LinM${LINM_VER}/
-DISTNAME=	linm_${LINM_VER}-1
+MASTER_SITES=	http://kldp.net/frs/download.php/4508/
+DISTNAME=	${PORTNAME}_${DISTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Clone of Mdir, mc-style terminal file manager
 
-USES=		pkgconfig iconv
-USE_AUTOTOOLS=	libtool
+LICENSE=	GPLv2 # (or later)
+
+OPTIONS_DEFINE=	SMB
+
+WRKSRC=		${WRKDIR}/${PORTNAME}-${DISTVERSION:C/-.*//}
+
+USES=		gettext pkgconfig
 USE_OPENSSL=	yes
 USE_GMAKE=	yes
-GNU_CONFIGURE=	yes
+USE_AUTOTOOLS=	libtool
+CONFIGURE_ARGS=	--enable-cfgpath="${ETCDIR}"
+MAKE_JOBS_UNSAFE=	yes
 
 CPPFLAGS+=	-I${LOCALBASE}/include
-# does not work now
-#.if defined(WITHOUT_NLS)
-#CONFIGURE_ARGS+=--disable-nls
-#PLIST_SUB+=	NLS="@comment "
-#.else
-CONFIGURE_ENV+=	LIBS="-L${LOCALBASE}/lib -lintl -liconv"
-USES+=		gettext
-PLIST_SUB+=	NLS=""
-#.endif
-
-CONFIGURE_ARGS+=	--enable-cfgpath="${PREFIX}/etc/linm" --enable-kolocalepath="${PREFIX}/share/locale/ko/LC_MESSAGES"
-
-LINM_VER=	0.7.7
-WRKSRC=		${WRKDIR}/linm-${LINM_VER}
+LDFLAGS+=	-L${LOCALBASE}/lib
 
 .include <bsd.port.options.mk>
 
+.if ${PORT_OPTIONS:MSMB}
+LIB_DEPENDS+=	smbclient:${PORTSDIR}/net/samba-libsmbclient
+PLIST_SUB+=	SMB=""
+.else
+CONFIGURE_ENV+=	ac_cv_lib_smbclient_smbc_new_context=no
+PLIST_SUB+=	SMB="@comment "
+.endif
+
 post-patch:
-	@${REINPLACE_CMD} -e 's|Panel::SetCur|SetCur|' ${WRKSRC}/panel/common/panel.h
-	@${REINPLACE_CMD} -e 's|Position::Show|Show|' ${WRKSRC}/src/ncurses/dialog.h
+	@${REINPLACE_CMD} -e \
+		's|configpath|cfgpath|g ; \
+		 /LIBS=/s|-lpthread|-pthread|' ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e \
+		'/^AM_CFLAGS/s|=.*|= -fPIC -std=gnu89|' \
+		${WRKSRC}/panel/vfs/libssh2/Makefile.in
 
 post-install:
 .if ${PORT_OPTIONS:MDOCS}
-	${MKDIR} ${PREFIX}/share/doc/linm
-.for file in AUTHORS COPYING ChangeLog README README.ko_euckr README.ko_utf8
-	${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
+	@${MKDIR} ${DOCSDIR}
+.for i in AUTHORS ChangeLog README README.ko_euckr README.ko_utf8
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${DOCSDIR})
 .endfor
 .endif
 

Modified: head/misc/linm/distinfo
==============================================================================
--- head/misc/linm/distinfo	Sun Jun  9 16:49:26 2013	(r320347)
+++ head/misc/linm/distinfo	Sun Jun  9 16:50:22 2013	(r320348)
@@ -1,2 +1,2 @@
-SHA256 (linm_0.7.7-1.tar.gz) = e09e8aca1f31dbd2d191de90214c569e248a791c4341296756ed2eeb6657e656
-SIZE (linm_0.7.7-1.tar.gz) = 670100
+SHA256 (linm_0.8.1-1.tar.gz) = 18f7a99059e3d741f6300078a946ecb55a6bc7014b12c0178819434e38892d97
+SIZE (linm_0.8.1-1.tar.gz) = 947761

Modified: head/misc/linm/files/patch-Makefile.in
==============================================================================
--- head/misc/linm/files/patch-Makefile.in	Sun Jun  9 16:49:26 2013	(r320347)
+++ head/misc/linm/files/patch-Makefile.in	Sun Jun  9 16:50:22 2013	(r320348)
@@ -1,6 +1,26 @@
 --- Makefile.in.orig	Tue Jan 31 01:14:27 2006
 +++ Makefile.in	Thu Feb 16 15:16:59 2006
-@@ -673,15 +673,7 @@
+@@ -239,7 +239,7 @@
+ # have all needed files, that a GNU package needs
+ AUTOMAKE_OPTIONS = foreign 1.4
+ ACLOCAL_AMFLAGS = -I m4
+-SUBDIRS = intl po lib panel editor src sh
++SUBDIRS = po lib panel editor src sh
+ noinst_DATA = README.ko_euckr README.ko_utf8 linm.spec debian/*
+ EXTRA_DIST = config.rpath m4/ChangeLog  $(noinst_DATA)
+ all: config.h
+@@ -695,6 +695,10 @@
+ 
+ 
+ install-exec-hook :
++	if ! test -d $(DESTDIR)$(sysconfdir)/profile.d ; then \
++		install -d -m 755 $(DESTDIR)$(sysconfdir)/profile.d \
++	; fi
++
+ 	if test -d $(DESTDIR)$(sysconfdir)/profile.d ; then \
+ 		if test -w $(DESTDIR)$(sysconfdir)/profile.d ; then \
+ 			install -c -m 755 $(top_srcdir)/sh/linm_alias.sh $(DESTDIR)$(sysconfdir)/profile.d \
+@@ -710,14 +714,6 @@
  					$(top_srcdir)/sh/colorset.cfg \
  					$(top_srcdir)/sh/keyset.cfg \
  					$(DESTDIR)$(LINM_CFGPATH) \
@@ -12,7 +32,6 @@
 -					$(top_srcdir)/sh/colorset.cfg \
 -					$(top_srcdir)/sh/keyset.cfg \
 -					~/.linm \
-	; fi
+ 	; fi
  
- 	if ! test -d $(DESTDIR)$(KO_LOCALE_FILEPATH) ; then \
- 		install -d -m 755 $(DESTDIR)$(KO_LOCALE_FILEPATH) \
+ 	if ! test -d $(DESTDIR)$(datadir)/pixmaps ; then \

Modified: head/misc/linm/pkg-plist
==============================================================================
--- head/misc/linm/pkg-plist	Sun Jun  9 16:49:26 2013	(r320347)
+++ head/misc/linm/pkg-plist	Sun Jun  9 16:50:22 2013	(r320348)
@@ -2,10 +2,10 @@
 bin/linm
 bin/linm.csh
 bin/linm.sh
-etc/linm/colorset.cfg
-etc/linm/default.cfg
-etc/linm/keyset.cfg
-@dirrm etc/linm
+%%ETCDIR%%/colorset.cfg
+%%ETCDIR%%/default.cfg
+%%ETCDIR%%/keyset.cfg
+etc/profile.d/linm_alias.sh
 lib/liblinmpluginarc.a
 lib/liblinmpluginarc.la
 lib/liblinmpluginarc.so
@@ -18,12 +18,19 @@ lib/liblinmpluginsftp.a
 lib/liblinmpluginsftp.la
 lib/liblinmpluginsftp.so
 lib/liblinmpluginsftp.so.0
+%%SMB%%lib/liblinmpluginsmb.a
+%%SMB%%lib/liblinmpluginsmb.la
+%%SMB%%lib/liblinmpluginsmb.so
+%%SMB%%lib/liblinmpluginsmb.so.0
+share/applications/LinM.desktop
 %%PORTDOCS%%%%DOCSDIR%%/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/COPYING
 %%PORTDOCS%%%%DOCSDIR%%/ChangeLog
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/README.ko_euckr
 %%PORTDOCS%%%%DOCSDIR%%/README.ko_utf8
+share/locale/ko/LC_MESSAGES/linm.mo
+share/pixmaps/linm.xpm
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
-%%NLS%%share/locale/ko/LC_MESSAGES/linm_euckr.mo
-%%NLS%%share/locale/ko/LC_MESSAGES/linm_utf8.mo
+@dirrmtry share/applications
+@dirrmtry etc/profile.d
+@dirrm %%ETCDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"